<section>
    <navigation></navigation>
    <div>
        <h1><img src="/static/images/map.png" alt="Map">Data entry</h1>
        <p>We’ll need the data in <abbr title="Comma-separated Values">CSV</abbr> format. You can write it down yourself or load it from your computer.</p>
        <div class="text-editor">
            <ul class="text-editor__toolbar">
                <li class="text-editor__toolbar__item">
                    <a href="javascript:void(0)">
                        <i class="icon-folder"></i>
                        <input v-el:csv type="file" @change="loadFile" accept=".csv">
                    </a>
                </li>
                <li class="text-editor__toolbar__item text-editor__toolbar__item--is-settings" :class="{ 'text-editor__toolbar__item--active': showOptions }">
                    <a href="#" @click.prevent="toggleOptions">
                        <i class="icon-settings"></i>
                    </a>
                </li>
            </ul>
            <editor :model="csv"></editor>
            <div v-if="showOptions" class="text-editor__options" transition="slide">
                <h2>Options</h2>
                <label>
                    Delimeter
                    <small>Indicates wether data is delimeted by commas or semi-colons.</small>
                    <select v-model="parserOptions.delimeter">
                        <option value="">Auto detect</option>
                        <option value=",">Comma</option>
                        <option value=";">Semi-colon</option>
                    </select>
                </label>
                <label>
                    <input type="checkbox" v-model="parserOptions.header">
                    Header
                    <small>The first line should be treated as the title (or name) of each field</small>
                </label>
            </div>
        </div>
        <div class="stepsNav">
            <a class="button" :class="{ disabled: !csv }" @click.prevent="parse">Continue</a>
        </div>
    </div>
</section>
